﻿using LINQtoQIF;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Test
{
    class Program
    {
        static void Main(string[] args)
        {
            QifContext ctx = new QifContext();
            var list = ctx.Read<NonInvestmentTransaction>(@"samples\NormalTransaction.qif");
            foreach (NonInvestmentTransaction item in list.OrderBy(x=>x.PayeeName))
            {
                Console.WriteLine("{0}\r\n{1}\r\n{2}\r\n{3}\r\n\r\n", item.Date.ToShortDateString(), item.Amount, item.PayeeName, item.Memo);
            }
            Console.WriteLine("Balance: {0:#0.00}", list.Sum(x=>x.Amount));

            Console.ReadLine();
        }
    }
}
