﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace LINQtoQIF
{
    internal class NonInvestmentTransactionMap : TransactionMap<NonInvestmentTransaction>
    {
        public NonInvestmentTransactionMap()
        {
            this.addAttribute('D', "Date");
            this.addAttribute('T', "Amount");
            this.addAttribute('C', "IsCleared");
            this.addAttribute('N', "Num");
            this.addAttribute('P', "PayeeLines");
            this.addAttribute('M', "Memo");
            this.addAttribute('A', "AddressLines");
            this.addAttribute('L', "Category");
            this.addAttribute('S', "SplitCategory");
            this.addAttribute('E', "SplitMemo");
            this.addAttribute('$', "SplitAmount");
        }
    }
}
